Subject: [core] WGLC of draft-ietf-core-observe-05 draft-ietf-core-block-08 and draft-ietf-core-coap-09

From: Cullen Jennings <[email-masked]>
Date: Mon, 19 Mar 2012 21:32:29 -0600

The chairs and authors hope that we are about done on draft-ietf-core-observe-05, draft-ietf-core-block-08, and draft-ietf-core-coap-09. The time has come to test that theory and see if the WG agrees. Given we have three major drafts, as well as the IETF meeting and various religious holidays, I am setting the Working Group Last Call to end on midnight PDT on Monday, April 16. 

Please start a new email thread for each major issues that will need discussion and make sure the subject line includes the draft name and some sort of name for the issue. For minor issues such as typos and things that are not likely to lead to much discussion, it is probably easier to group them all in to one email but again, please make sure the subject line includes the draft name. If you read a draft and think it looks fine, please send a one line email to the list or to the chairs letting us know that so we can get a feel of how board the review has been. 

I will note that no IPR declarations have been made on these drafts. If you are aware of any patents that might apply to systems that implement these drafts, please review BCP 78 and BCP 79 and make any appropriate IPR declaration. If you are not sure if you need to make a declaration or not, please talk to me and I will help get you in touch with people that can provide appropriate advice. 

I would also like to take this opportunity to thank the authors and many of the participants of this WG that have put in an incredibly amount of energy to get us to this point. It's always a bit of a slog to get from here to "done" on drafts but the easiest way to do that is with fast review and fast turn around of revised drafts after the review. I'm sure the chairs and authors will be pushing for that. 

I'd like to implore people to actually go and review theses documents - WGLC review is probably the single most important thing that a WG participant can do. We need to get this right because stuff we miss now can easily cause problems for a long time to come. The people that have participated heavily in these drafts have read them so many times that they have a hard time noticing what is wrong or missing from them but fresh eyes can help. I know that everyone has many documents to read for the upcoming IETF, but I'd like to try and convince you that reading drafts that are in WGLC is probably more important than many others. Please help us get these right. 

Thank you, Cullen <CORE Co-Chair>